<template>
  <v-container fluid grid-list-xl>
    <page-title>
      Reporte de atenciones psicológicas
    </page-title>
    <div class="labelStyle">
      Seleccione un rango de meses para actualizar el reporte
    </div>
    <page-content>
      <v-row>
        <v-col>
          <filters
            v-on:changeDates="updateDates"
          />
        </v-col>
      </v-row>
      <v-layout wrap justify-center v-show="showReport">
        <v-flex>
          <first-chart
            ref="firstReportChart"
          />
        </v-flex>
        <v-flex>
          <second-chart
            ref="secondReportChart"
          />
        </v-flex>
        <v-flex>
          <third-chart />
        </v-flex>
      </v-layout>
      <v-layout wrap justify-center v-show="!showReport">
        <v-card
          elevation="0"
          class="mx-auto"
          width="70%"
          align="center"
        >
          <v-img
            max-height="80%"
            max-width="80%"
            :src="image"
          ></v-img>
          <v-card-text>
            <div class="labelStyle">Seleccione el botón "Actualizar Reporte" para desplegar la información.</div>
          </v-card-text>
        </v-card>
      </v-layout>
    </page-content>
  </v-container>
</template>

<script>
import { mapActions, mapState } from 'vuex';
import ThirdChart from '~/components/Dashboard/ClientSupervisor/ThirdChart';
import FirstChart from '~/components/Dashboard/ClientSupervisor/FirstChart';
import SecondChart from '~/components/Dashboard/ClientSupervisor/SecondChart';
import Filters from '~/components/Dashboard/SpecificSpecialist/Filters';
export default {
  name: 'DashboardClient',
  components: {
    ThirdChart,
    FirstChart,
    SecondChart,
    Filters,
  },
  data() {
    return {
      image: require('~/static/update-dashboard.svg'),
      startDate: '',
      endDate: '',
      showReport: false,
    };
  },
  computed: {
    ...mapState({
      firstReport: state => state.providercompany['client-company'].firstReport,
      user: state => state.auth.user,
      userAuth: state => state.auth.userAuth,
    }),
  },
  methods: {
    ...mapActions({
      updateFirstChart: 'providercompany/client-company/getReportCalificationServiceToClient',
    }),
    async updateDates(startDate, endDate) {
      const start = startDate + '-01';
      const end = endDate + '-01';
      const clientCompanyId = this.userAuth.clientSupervisor.company.id;
      await this.$refs.firstReportChart.getDashboard(end, start, clientCompanyId);
      await this.$refs.secondReportChart.getDashboard(end, start, clientCompanyId);
      // console.log(this.user.cs_com_id);
      // console.log(this.userAuth.clientSupervisor.company.id);
      this.showReport = true;
    },
  },
};
</script>
<style scoped>
.labelStyle{
  padding-left: 20px;
  padding-top: 40px;
  padding-bottom: 40px;
  font-family: "Montserrat", sans-serif;
  font-size: 17px;
  color: #505050;
}
</style>
